Subject: bug#19924: 24.4; incremental search for octal character

From: Drew Adams <[email-masked]>
Date: Thu, 5 Mar 2015 14:54:55 -0800 (PST)

Forwarding - The OP (Michael) left off the bug list as recipient.

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]
> Sent: Thursday, March 05, 2015 2:33 PM
> To: [email-masked]; Drew Adams
> Cc: [email-masked]
> Subject: RE: bug#19924: 24.4; incremental search for octal character
> 
> I appologize for not being able to understand the emails youall passed
> my way.  Here is the situation:
> 
> 1) I bring up emacs : emacs -Q
> 
> 2) I open DPaddy's file : Control x f ~/Downloads/feb17/emacs-broken
> 
> 3) I see \213 in the buffer (see screenshot-1.jpg).
> 
> 4) I type : `C-s C-q 213 C-q' (i.e., Control s Control q 213 Control s)
>    but the search fails (see screenshot-2.jpg)
> 
> 4) I type : `C-s C-q 213 ret' (i.e., Control s Control q 213 return)
>    and get the same behavior (same as screenshot-2.jpg).
> 
> 6) I type `M-x hexl-mode ret' (i.e., Meta x hexl-mode return) and see
>    octal 213 (i.e., hex 8B) is in the buffer (see screenshot-3.jpg).
> 
> I anticipate that the following is an explanation of some kind:
> 
>  "As the screenshot shows, the problem is that the search doesn't find
>   the character 213 in the `no-conversion' (binary) buffer, because
>   there is a mismatch between the coding of the buffer and the search."
> 
> But I don't know what the above means.  In particular, I don't know how
> to search for octal 213.  Given my current (lack of) understanding, it
> seems that emacs is broken, or searching in octal is not possible.
> 
> Please give a(nother) clue...
> 
> Much obliged,
> 
> Michael
>